package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: webSocket消息类型 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/22
 */
public enum WebsocketTypeEnum {

    client_paper_download("客户端已下载试卷","clientPaperDownload"),

    sync_status("状态同步","syncStatus"),

    sync_ack( "同步确认","syncAck"),

    invigilate_liveness_verify( "监考强制活体验证","invigilateLivenessVerify"),

    invigilate_notice( "监考消息","invigilateNotice"),

    invigilate_notice_ack( "监考消息确认","invigilateNoticeAck"),

    invigilate_stop_exam( "监考强制收卷","invigilateStopExam"),

    breach_stop_exam( "预警强制收卷","breachStopExam"),

    hand_stop_exam( "手动收卷","handStopExam");

    private String code;
    private String desc;

    private WebsocketTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
